Subject: Re: [PATCH v2 2/2] repack: add config to skip updating server info

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Mar 2022 22:26:47 +0000

Patrick Steinhardt <[email-masked]> writes:

> By default, git-repack(1) will update server info that is required by
> the dumb HTTP transport. This can be skipped by passing the `-n` flag,
> but what we're noticably missing is a config option to permanently
> disable updating this information.
>
> Add a new option "repack.updateServerInfo" which can be used to disable
> the logic. Most hosting providers have turned off the dumb HTTP protocol
> anyway, and on the client-side it woudln't typically be useful either.
> Giving a persistent way to disable this feature thus makes quite some
> sense to avoid wasting compute cycles and storage.

Makes sense.  Perhaps we can leave a NEEDSWORK comment somewhere to
flip the default to false in two years or so.

Will queue.

Thanks.